package com.infoepoch.pms.dispatchassistant.domain.oa.organization;

/**
* OA组织
*/
public class OaOrganization {

    // region 方法

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public void setLastUpdateTime(String lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }

    // endregion 方法

    // region 新增&修改

    public void modify(String orgCode, String orgName, String orgParentId, String displayOrder, String orgStatus, String orgLevel,
                       String reference1, String reference2, String reference3, String reference4, String reference5,
                       String reference6, String reference7, String reference8, String reference9, String reference10,
                       String reference11, String reference12, String reference13, String reference14, String reference15) {
        this.orgCode = orgCode;
        this.orgName = orgName;
        this.orgParentId = orgParentId;
        this.displayOrder = displayOrder;
        this.orgStatus = orgStatus;
        this.orgLevel = orgLevel;
        this.reference1 = reference1;
        this.reference2 = reference2;
        this.reference3 = reference3;
        this.reference4 = reference4;
        this.reference5 = reference5;
        this.reference6 = reference6;
        this.reference7 = reference7;
        this.reference8 = reference8;
        this.reference9 = reference9;
        this.reference10 = reference10;
        this.reference11 = reference11;
        this.reference12 = reference12;
        this.reference13 = reference13;
        this.reference14 = reference14;
        this.reference15 = reference15;
    }

    // endregion 新增&修改

    // region 构造方法

    /**
     * 私有无参构造
     */
    public OaOrganization() {
    }

    /**
     * 新增
     */
    public OaOrganization(String orgCode, String orgName, String orgParentId, String displayOrder, String orgStatus, String orgLevel,
                          String reference1, String reference2, String reference3, String reference4, String reference5,
                          String reference6, String reference7, String reference8, String reference9, String reference10,
                          String reference11, String reference12, String reference13, String reference14, String reference15) {
        this.orgCode = orgCode;
        this.orgName = orgName;
        this.orgParentId = orgParentId;
        this.displayOrder = displayOrder;
        this.orgStatus = orgStatus;
        this.orgLevel = orgLevel;
        this.reference1 = reference1;
        this.reference2 = reference2;
        this.reference3 = reference3;
        this.reference4 = reference4;
        this.reference5 = reference5;
        this.reference6 = reference6;
        this.reference7 = reference7;
        this.reference8 = reference8;
        this.reference9 = reference9;
        this.reference10 = reference10;
        this.reference11 = reference11;
        this.reference12 = reference12;
        this.reference13 = reference13;
        this.reference14 = reference14;
        this.reference15 = reference15;
    }

    /**
     * 仓储还原
     */
    public OaOrganization(String orgId, String orgCode, String orgName, String orgParentId, String displayOrder, String orgStatus, String orgLevel, String lastUpdateTime, String reference2, String reference3, String reference4, String reference5, String reference6, String reference7, String reference8, String reference9, String reference10, String reference11, String reference12, String reference13, String reference14, String reference15, String regioncode, String orgRecordTime, String reference1, String orgOaId) {
        this.orgId = orgId;
        this.orgCode = orgCode;
        this.orgName = orgName;
        this.orgParentId = orgParentId;
        this.displayOrder = displayOrder;
        this.orgStatus = orgStatus;
        this.orgLevel = orgLevel;
        this.lastUpdateTime = lastUpdateTime;
        this.reference2 = reference2;
        this.reference3 = reference3;
        this.reference4 = reference4;
        this.reference5 = reference5;
        this.reference6 = reference6;
        this.reference7 = reference7;
        this.reference8 = reference8;
        this.reference9 = reference9;
        this.reference10 = reference10;
        this.reference11 = reference11;
        this.reference12 = reference12;
        this.reference13 = reference13;
        this.reference14 = reference14;
        this.reference15 = reference15;
        this.regioncode = regioncode;
        this.orgRecordTime = orgRecordTime;
        this.reference1 = reference1;
        this.orgOaId = orgOaId;
    }

    // endregion 构造方法

    // region 额外属性
    // endregion 额外属性

    // region 基础属性

    /**
     *
     */
    private String orgId;
    /**
     *
     */
    private String orgCode;
    /**
     *
     */
    private String orgName;
    /**
     *
     */
    private String orgParentId;
    /**
     *
     */
    private String displayOrder;
    /**
     *
     */
    private String orgStatus;
    /**
     *
     */
    private String orgLevel;
    /**
     *
     */
    private String lastUpdateTime;
    /**
     *
     */
    private String reference2;
    /**
     *
     */
    private String reference3;
    /**
     *
     */
    private String reference4;
    /**
     *
     */
    private String reference5;
    /**
     *
     */
    private String reference6;
    /**
     *
     */
    private String reference7;
    /**
     *
     */
    private String reference8;
    /**
     *
     */
    private String reference9;
    /**
     *
     */
    private String reference10;
    /**
     *
     */
    private String reference11;
    /**
     *
     */
    private String reference12;
    /**
     *
     */
    private String reference13;
    /**
     *
     */
    private String reference14;
    /**
     *
     */
    private String reference15;
    /**
     *
     */
    private String regioncode;
    /**
     *
     */
    private String orgRecordTime;
    /**
     *
     */
    private String reference1;
    /**
     *
     */
    private String orgOaId;

    // region get

    public String getOrgId() {
        return orgId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public String getOrgParentId() {
        return orgParentId;
    }

    public String getDisplayOrder() {
        return displayOrder;
    }

    public String getOrgStatus() {
        return orgStatus;
    }

    public String getOrgLevel() {
        return orgLevel;
    }

    public String getLastUpdateTime() {
        return lastUpdateTime;
    }

    public String getReference2() {
        return reference2;
    }

    public String getReference3() {
        return reference3;
    }

    public String getReference4() {
        return reference4;
    }

    public String getReference5() {
        return reference5;
    }

    public String getReference6() {
        return reference6;
    }

    public String getReference7() {
        return reference7;
    }

    public String getReference8() {
        return reference8;
    }

    public String getReference9() {
        return reference9;
    }

    public String getReference10() {
        return reference10;
    }

    public String getReference11() {
        return reference11;
    }

    public String getReference12() {
        return reference12;
    }

    public String getReference13() {
        return reference13;
    }

    public String getReference14() {
        return reference14;
    }

    public String getReference15() {
        return reference15;
    }

    public String getRegioncode() {
        return regioncode;
    }

    public String getOrgRecordTime() {
        return orgRecordTime;
    }

    public String getReference1() {
        return reference1;
    }

    public String getOrgOaId() {
        return orgOaId;
    }

    // endregion get
    // endregion 基础属性
}
